Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class PKIArchiveOptions.Template

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.PKIArchiveOptions.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  PKIArchiveOptions

public static class PKIArchiveOptions.Template
extends java.lang.Object
implements ASN1Template

A template for decoding PKIArchiveOptions.

Field Summary
`(package private) CHOICE.Template` | `template`

Constructor Summary
`PKIArchiveOptions.Template()`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes a PKIArchiveOptions.
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)` Decodes a PKIArchiveOptions.
`boolean` | `tagMatch(Tag tag)` Returns true if the given tag can satisfy this CHOICE.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### template

    CHOICE.Template template

Constructor Detail

### PKIArchiveOptions.Template

    public PKIArchiveOptions.Template()

Method Detail

### tagMatch

    public boolean tagMatch(Tag tag)

  Returns true if the given tag can satisfy this CHOICE.
  Specified by:
    `tagMatch` in interface `ASN1Template`

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes a PKIArchiveOptions.
  Specified by:
    `decode` in interface `ASN1Template`
  Returns:
    A PKIArchiveOptions object.

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes a PKIArchiveOptions.
  Specified by:
    `decode` in interface `ASN1Template`
  Parameters:
    `implicitTag` - This parameter is ignored. Since PKIArchiveOptions is a CHOICE, it cannot have an implicit tag.
  Returns:
    A PKIArchiveOptions object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD